=== debian/changelog ===
gromacs (4.5.5-2) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream:
     - copied citations from tasks/bio to debian/upstream
     - make last citation conform to BibTeX syntax

  [ Nicholas Breen ]
  * Update to current release-4.5-patches git (f361fa9c) via addition of
    patches/10_release-4.5-patches.patch.
  * source/format: Move to 3.0 (quilt).  Adjust patches accordingly.
  * control: Remove specific listing of MPI packages from description of
    gromacs-dev.  (Closes: #644820)  Update maintainer address and drop
    DMUA stanza.  Drop Build-Depends on dpatch, add on hardening-wrapper.
    Update to S-V 3.9.3, no packaging changes required.
  * rules, README.source: Remove dpatch cruft.
  * rules: Apply compiler hardening flags with hardening-wrapper.
  * patches/*: Tidy up with DEP-3 headers.
  * control, rules: Update list of architectures for gromacs-openmpi,
    adding armel, armhf, powerpcspe, and sparc64.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 09 Jun 2012 11:42:56 -0700

gromacs (4.5.5-1) unstable; urgency=low

  * New upstream release.
    - Remove patches/30_git_release-4.5-patches.dpatch.
    - man/g_dos.1: Create man page for new binary.
  * rules: Add build-arch/build-indep targets.  Add preliminary support for
    building GPU-accelerated binaries: set DEB_BUILD_OPTIONS=gpu to try it.
  * patches/31_manpages.dpatch: Update.

 -- Nicholas Breen <nbreen@ofb.net>  Wed, 21 Sep 2011 19:10:08 -0700

gromacs (4.5.4-2) unstable; urgency=low

  * control: remove obsolete Build-Depends and Suggests on libice-dev,
    libsm-dev, libxext-dev, libxp-dev, libxt-dev.  Update Standards-Version
    to 3.9.2.
  * patches/30_git_release-4.5-patches.dpatch: Routine update from upstream
    git, to commit 873563ef of 22 April 2011.
  * patches/31_manpages.dpatch: Various minor spelling and header fixes.
  * lintian-overrides.gromacs: Remove checks no longer needed, per #120323.
  * rules: Switch to using dh_lintian.

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 25 Apr 2011 13:47:00 -0700

gromacs (4.5.4-1) unstable; urgency=low

  * New upstream release.
  * Remove gromacs-lam transitional package.
  * man/g_options.1: Create man page for new binary.
  * lintian-overrides.gromacs-data: Override script-not-executable for demo
    scripts not in $PATH.

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 21 Mar 2011 19:59:54 -0700

gromacs (4.5.3-1) unstable; urgency=low

  * New upstream release.
  * Force -DGMX_X11=ON to build ngmx.  (Closes: #603327)

 -- Nicholas Breen <nbreen@ofb.net>  Sat, 13 Nov 2010 12:02:17 -0800

gromacs (4.5.2-1) unstable; urgency=low

  * Major new upstream release.
  * All patches incorporated upstream and removed, except the Debian-
    specific bug reporting portion of 11_readme.dpatch.
  * man/gromacs.7: incorporated upstream, removed from Debian patch.
  * man/luck.1: Rename to g_luck.1 and edit to reflect new name.
  * man/mdrun_mpi.*.1: Resynchronize with upstream mdrun.1.
  * watch: Update to recognize -betaX tarballs and ignore -GPU builds.
  * rules: Convert from autotools to new CMake build system.
  * control:
    - Add Build-Depends on libxml2-dev.
    - Update Standards-Version to 3.9.1.
    - Replace Conflicts: with Breaks:.

 -- Nicholas Breen <nbreen@ofb.net>  Wed, 03 Nov 2010 17:39:52 -0700

gromacs (4.0.7-3) unstable; urgency=low

  * New patch 03_autoconf_bashisms.dpatch: Eliminate two bashisms (test ==
    instead of =) in configure.ac, permitting use with dash instead.
  * patches/30_git_release-4.0-patches.dpatch: Update to commit
    36df279783944c11d1ba43936ea820f8e6003ffd.

 -- Nicholas Breen <nbreen@ofb.net>  Tue, 25 May 2010 19:30:48 -0700

gromacs (4.0.7-2) unstable; urgency=low

  * rules: 
    - Drop chrpath workaround, underlying bug solved with mpich2 
      1.2.1.1-2.
    - Add sparc to list of architectures for -openmpi.
  * control:
    - Per above.
    - Set DM-Upload-Allowed: yes.
    - Update Standards-Version to 3.8.4.
    - Add ${misc:Depends} for Lintian, except for -data and -lam which
      receive overrides instead.
  * gromacs-parallel.README.Debian.in: Remove reference to LAM-MPI.
  * patches/30_git_release-4.0-patches.dpatch: Update to commit
    444432a51f87f003fc6e7098f9e07a2a2d142c64.
  * source/format: Create and set explicitly to 1.0.
  * source/lintian-overrides: Override debhelper-but-no-misc-depends for
    gromacs-data and gromacs-lam.

 -- Nicholas Breen <nbreen@ofb.net>  Tue, 13 Apr 2010 23:33:27 -0700

gromacs (4.0.7-1) unstable; urgency=low

  * New upstream release.
  * patches/30_git_release-4.0-patches.dpatch: Empty out, replace with
    fresh pull starting at the 4.0.7 release; current to git commit
    665dce86638df8ac1062b0b022d7827ea0f11788.

 -- Nicholas Breen <nbreen@ofb.net>  Thu, 31 Dec 2009 16:43:03 -0800

gromacs (4.0.5-5) unstable; urgency=low

  * Transition to only the two supported MPI implementations:
    - gromacs-mpich now builds against MPICH2, not MPICH1.
    - gromacs-lam replaced with a dummy package installing gromacs-
      openmpi on all supported architectures, -mpich on the holdouts.
    - Update documentation accordingly.
  * patches/30_git_release-4.0-patches.dpatch: Pull from upstream git
    repository, release-4.0-patches branch.  Current to git commit
    37a4dd35fec7579ca7faca25c62c71cf1d8e1621, 29 Nov. 2009.
  * patches/21_makefile_dups.dpatch: Delete, incorporated above
    (commit c93db8511af09c144fe4b2b8f57b14a5ad1e6cc7).
  * compat: Update to debhelper v7 mode.
    - rules: Replace dh_clean -k with dh_prep.
    - control: Adjust Build-Depends to debhelper (>= 7.0.0).
  * copyright: Increment year.
  * rules: Use chrpath to eliminate RPATH from MPICH2-compiled binaries.
    This is a workaround for a libmpich2-dev bug, #558960.
    - control: Add chrpath to Build-Depends.
  * rules: Add -Wl,--as-needed to LDFLAGS.

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 30 Nov 2009 16:18:34 -0800

gromacs (4.0.5-4) unstable; urgency=low


